#ifndef	RAlert_H
#define	RAlert_H

class RAlert : public BAlert
{
	B_DECLARE_CLASS_INFO(BAlert);
public:
	RAlert(const char *text,
		const char *button1 = "OK",
		const char *button2 = NULL,
		const char *button3 = NULL,
		alert_type type = B_INFO_ALERT);
	RAlert(const char *text,
		const BRect centerOver,
		const char *button1 = "OK",
		const char *button2 = NULL,
		const char *button3 = NULL,
		alert_type type = B_INFO_ALERT);
	virtual long Go();
	static void ErrMsg(char *str);
	static void ErrMsg(char *str, const BRect centerOver);
	static void InfoMsg(char *str);
	static void InfoMsg(char *str, const BRect centerOver);
};

#endif