//-----------------------------------------------------------------------------
//
// RGlobals.cpp
//
// Reusable globals.
//
// Defines an ibeam cursor.
// Defines a light gray color suitable for use as a window
//    background color.
//
//-----------------------------------------------------------------------------

#include "RGlobals.h"

const unsigned char IBEAM_CURSOR[68] = {
	// size, depth, hot spot y coord, hot spot x coord
	0x10, 0x01, 0x03, 0x07,
	// image data
	0x0c, 0x60, 0x02, 0x80,
	0x01, 0x00, 0x01, 0x00,
	0x01, 0x00, 0x01, 0x00,
	0x01, 0x00, 0x01, 0x00,
	0x01, 0x00, 0x01, 0x00,
	0x01, 0x00, 0x01, 0x00,
	0x01, 0x00, 0x01, 0x00,
	0x02, 0x80, 0x0c, 0x60,
	// transparency mask
	0x1c, 0xe0, 0x07, 0x80,
	0x03, 0x00, 0x03, 0x00,
	0x03, 0x00, 0x03, 0x00,
	0x03, 0x00, 0x03, 0x00,
	0x03, 0x00, 0x03, 0x00,
	0x03, 0x00, 0x03, 0x00,
	0x03, 0x00, 0x03, 0x00,
	0x07, 0x80, 0x1c, 0xe0
};

const rgb_color light_gray_background = {208,208,208,0};
