#ifndef RTextView_H
#define RTextView_H

class RTextView : public BTextView 
{
	B_DECLARE_CLASS_INFO(BTextView);
public:
	RTextView(BRect frame, const char *name, BRect textRect, 
		ulong resizingMode, ulong flags);
	virtual void MouseMoved(BPoint point, ulong transit, BMessage *msg);
	virtual void WindowActivated(bool active);
	virtual void Cut(BClipboard *clipboard);
	virtual void Paste(BClipboard *clipboard);
	virtual void Draw(BRect updateRect);
	virtual void KeyDown(ulong aChar);
	virtual void ScrollSelectionTo(float x, bool evenIfAlreadyVisible = FALSE);
	void ScrollSelectionToMiddle(bool evenIfAlreadyVisible = FALSE);
	void ScrollSelectionToTop(bool evenIfAlreadyVisible = FALSE);
};

#endif