//-----------------------------------------------------------------------------
//
// TGlobals.cpp
//
// Global variables.
//
//-----------------------------------------------------------------------------

#include "TGlobals.h"
#include "RPanelInfo.h"
#include "TFindInfo.h"
#include "TProjectInfo.h"

// Permanent bloopers. Shared by threads. Created at startup and deleted at 
// shutdown. Constant throughout the execution of the app, so no need for
// a lock.

TApplication *my_app;
RWindowsMenu *windows_menu_blooper;
TSearch *search_blooper;
TDepend *depend_blooper;
TCompile *compile_blooper;

// Other global information shared by threads. Must be locked. See the class
// .cpp files for locking details.

RPanelInfo panel_info;
TFindInfo find_info;
TProjectInfo project_info;
