#ifndef TGlobals_H
#define TGlobals_H

// Application signature.

const ulong SIGNATURE = 'BTED';

// Max runners.

const long MAX_RUNNERS = 6;

// App menu

const ulong NEW = 'owin';
const ulong OPEN = 'ofpa';
const ulong SAVE_ALL = 'sall';
const ulong OPEN_PROJECT_FILE = 'oprj';
const ulong OPEN_BE_HEADER = 'obhd';
const ulong MAKE = 'make';
const ulong RUN = 'doit';
const ulong MAKE_CLEAN = 'mcln';
const ulong CREATE_MAKE_FILE = 'cmkf';
const ulong SET_PROJECT = 'setp';
const ulong CONVERT_FILES = 'cvfi';
const ulong CONVERT_FILES_DOIT = 'cvfd';

// File menu

const ulong SAVE = 'save';
const ulong SAVE_AS = 'sava';
const ulong SAVE_A_COPY = 'scpy';
const ulong REVERT_TO_SAVED = 'rvrt';
const ulong OPEN_PARTNER = 'opnr';
const ulong GET_INFO = 'info';
const ulong CONVERT_TO_SCRIPT_FILE = 'ctsf';
const ulong COMPILE = 'cmpl';

// Edit menu

const ulong UNDO = 'undo';
const ulong SELECT_ALL = 'sall';
const ulong INDENT = 'indt';
const ulong UN_INDENT = 'uind';
const ulong COMMENT = 'cmmt';
const ulong UN_COMMENT = 'ucmt';
const ulong MOVE_UP = 'mvup';
const ulong MOVE_DOWN = 'mvdn';

// Search menu

const ulong FIND = 'find';
const ulong FIND_AGAIN = 'fagn';
const ulong FIND_SELECTION = 'fsel';
const ulong FIND_IN_NEXT_FILE = 'fnxt';
const ulong REPLACE = 'repl';
const ulong REPLACE_AND_FIND_NEXT = 'rfnx';
const ulong REPLACE_ALL = 'rall';
const ulong ENTER_SEARCH_STRING = 'enss';
const ulong ENTER_REPLACE_STRING = 'enrs';
const ulong GO_TO_LINE_DIALOG = 'gtl1';
const ulong GO_TO_LINE_DOIT = 'gtl2';

// Geek menu

const ulong MAKE_C_STRING = 'mcst';

// Markers menu

const ulong GO_TO_MARKER = 'gtma';
const ulong HOW_TO_MAKE_MARKERS = 'htmm';

// Windows menu

const ulong WINDOWS_MENU = 'wmnu';

// Other messages.

const ulong HIDE_ALL_PANELS = 'hapa';
const ulong COMPILE_SOURCE_FILE = 'comp';
const ulong MAKE_PROJECT = 'make';
const ulong FINISH_COMPILE = 'fcmp';
const ulong FINISH_LINK = 'flnk';
const ulong ADD_PROJECT_OPEN_COMMANDS = 'apoc';

// Global variables.

class TApplication;
class TSearch;
class RWindowsMenu;
class TDepend;
class TCompile;
class RPanelInfo;
class TFindInfo;
class TProjectInfo;

extern TApplication *my_app;
extern TSearch *search_blooper;
extern RWindowsMenu *windows_menu_blooper;
extern TDepend *depend_blooper;
extern TCompile *compile_blooper;

extern RPanelInfo panel_info;
extern TFindInfo find_info;
extern TProjectInfo project_info;

#endif