//-----------------------------------------------------------------------------
//
// RDirectory.cpp
//
// Reusable directory class.
//
// Adds following features to BDirectory:
//
// A Ref() function.
//
//-----------------------------------------------------------------------------

#include "RDirectory.h"

B_DEFINE_CLASS_INFO(RDirectory, BDirectory);

///RDirectory
//-----------------------------------------------------------------------------

RDirectory::RDirectory()
{
}

RDirectory::RDirectory(record_ref ref)
	:BDirectory(ref)
{
}

///Ref()
//-----------------------------------------------------------------------------

RDirectory::~RDirectory()
{
}

///Ref
//-----------------------------------------------------------------------------

record_ref RDirectory::Ref()
{
	return Record()->Ref();
}