#ifndef	RWindow_H
#define	RWindow_H

class RWindow : public BWindow
{
	B_DECLARE_CLASS_INFO(BWindow);
public:
	RWindow(BRect frame, const char *title, window_type type, ulong flags);
	virtual void WindowActivated(bool active);
	virtual void Quit();
	static BList WindowList();
	static RWindow *Front();
	static long CountWindows();
private:
	static BList windowList;
	static BLocker windowListLock;
};

#endif