#ifndef	RWindowsMenu_H
#define	RWindowsMenu_H

class RWindowsMenu : public BLooper
{
	B_DECLARE_CLASS_INFO(BLooper);
public:
	RWindowsMenu(const char *menuBarViewName, 
		const char *windowsMenuName,
		const ulong windowsMenuMessageWhat,
		const char *windowsMenuMessageObjName);
	void Init(BWindow *wind);
	void Add(BWindow *wind, bool check);
	void Remove(BWindow *wind);
	void Check(BWindow *wind, bool check);
private:
	void MessageReceived(BMessage *msg);
	void CloneMenu(BWindow *newWind, BMenu *oldMenu);
	void AdjustOneMenu(BMenu *menu, ulong what, BWindow *wind, bool check);
	const char *menuBarViewName;
	const char *windowsMenuName;
	const ulong windowsMenuMessageWhat;
	const char *windowsMenuMessageObjName;
};

#endif