#ifndef TApplication_H
#define TApplication_H

class TApplication : public BApplication 
{
	B_DECLARE_CLASS_INFO(BApplication);
	friend class TCompile;
public:
	TApplication();
private:
	void MenusWillShow();
	void AboutRequested();
	void MessageReceived(BMessage *msg);
	void ReadyToRun();
	void RefsReceived(BMessage *msg);
	void FilePanelClosed(BMessage *msg);
	void MakeClean();
	bool SaveAll(bool onlySourceFiles = FALSE);
	void HideAllPanels();
	void ConvertFiles(BMessage *msg);
	void AddProjectOpenCommands();
};

#endif