#ifndef TUndo_H
#define TUndo_H

class TTextView;

class TUndo : public BObject 
{
	B_DECLARE_CLASS_INFO(BObject);
public:
	TUndo(TTextView *textView);
	virtual ~TUndo();
	void Clear();
	bool CanUndo() {return canUndo;};
	void RecordKey(ulong aChar);
	void RecordCut();
	void RecordPaste(BClipboard *clipboard);
	void RecordReplace();
	void RecordDelete(long extraSpace = 0);
	void Undo();
private:
	TTextView *textView;
	bool canUndo;
	bool inKeySeq;
	char *textToRestore;
	char *restoreStart;
	long start;
	long finish;
	long origStart;
	long origFinish;
};

#endif
